Package org.apache.lucene.facet.taxonomy

# Class PrintTaxonomyStats

java.lang.Object
org.apache.lucene.facet.taxonomy.PrintTaxonomyStats

public class PrintTaxonomyStats extends Object
Prints how many ords are under each dimension.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrintTaxonomyStats()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] args)`
  Command-line tool.
  `static void`
  `printStats(TaxonomyReader r, PrintStream out, boolean printTree)`
  Recursively prints stats for all ordinals.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PrintTaxonomyStats

    public PrintTaxonomyStats()
    Sole constructor.

- ## Method Details

  - ### main

    public static void main(String[] args) throws IOException
    Command-line tool.
    Throws:
      `IOException`

  - ### printStats

    public static void printStats(TaxonomyReader r, PrintStream out, boolean printTree) throws IOException
    Recursively prints stats for all ordinals.
    Throws:
      `IOException`